Page MenuHomePhabricator

Single Edit Tab: Switching to VE from WTE is not working when the page is empty, reloads WTE instead
Closed, ResolvedPublic1 Story Points

Description

Steps to reproduce:

  1. Open Wikitext editor for an empty page
  2. Try to switch to VE via Edit tab or by clicking on the pencil icon

Instead of switching to VE it just reloads WTE, My preference was set to: Show me both editor tabs.

Event Timeline

Ryasmeen created this task.Mar 2 2016, 7:50 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 2 2016, 7:50 PM
Jdforrester-WMF renamed this task from Switching to VE from WTE is not working when the page is empty, reloads WTE instead to Single Edit Tab: Switching to VE from WTE is not working when the page is empty, reloads WTE instead.Mar 3 2016, 6:34 PM
Jdforrester-WMF triaged this task as High priority.
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.
Krenair edited subscribers, added: AlexMonk-WMF; removed: Krenair.Mar 3 2016, 6:36 PM

Change 274875 had a related patch set uploaded (by Alex Monk):
Try to fix handling of empty document on WTE->VE switch

https://gerrit.wikimedia.org/r/274875

Jdforrester-WMF closed this task as Resolved.Mar 7 2016, 7:39 PM
Jdforrester-WMF removed a project: Patch-For-Review.

Change 274875 merged by jenkins-bot:
Try to fix handling of empty document on WTE->VE switch

https://gerrit.wikimedia.org/r/274875